petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetAdapt

Get the adaptive controller context for the current method

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetAdapt(TS ts,TSAdapt *adapt)

Collective on TS if controller has not been created yet Many br

### Input Arguments

ts -time stepping context Many br

### Output Arguments

adapt -adaptive controller Many br

Many br

### See Also

TSAdapt, TSAdaptSetType(), TSAdaptChoose()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html